/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package controller;

import dao.CoordenadorDAO;
import dao.GerenteDAO;
import dao.JogosDAOException;
import dao.UsuarioDAO;
import entidades.Coordenador;
import entidades.Gerente;
import entidades.Usuario;

/**
 *
 * @author rafael
 */
public class UsuarioController {

    private Usuario usuario = new Usuario();
    private JogadorController jogador = new JogadorController();

    /**
     *
     * @return
     */
    public Usuario getUsuario() {
        return usuario;
    }

    /**
     * 
     * @param usuario
     */
    public void setUsuario(Usuario usuario) {
        this.usuario = usuario;
    }

    /**
     *
     * @param us
     * @return
     * @throws JogosDAOException
     */
    public Usuario buscaUsuario(Usuario us) throws JogosDAOException {
        UsuarioDAO idaous = new UsuarioDAO();
        Usuario usv = idaous.listaByLogin(us.getUs_noSenha(), us.getUs_noEmail());
        return usv;
    }

    /**
     *
     * @param us
     * @return
     * @throws JogosDAOException
     */
    public boolean validaUsuario(Usuario us) throws JogosDAOException {
        if (us.getUs_noSenha() == null ? us.getUs_noSenhaConf() == null : us.getUs_noSenha().equals(us.getUs_noSenhaConf())) {
            System.out.print("Senha válida");
        }
        return true;
    }

    /**
     *
     * @param us
     * @param ge
     * @return
     * @throws JogosDAOException
     */
    public String create(Usuario us, Gerente ge) throws JogosDAOException {
        UsuarioDAO idao = new UsuarioDAO();
        CoordenadorDAO idaoC = new CoordenadorDAO();
        Coordenador co = new Coordenador();
        GerenteDAO idaoge = new GerenteDAO();
        String pag = "welcomeJSF";
        
        if (validaUsuario(us)) {
            pag ="formUsuario";
            idao.salvar(us);
            idao = new UsuarioDAO();//tem que criar novamente para funcionar
            if (us.getTipo().equals("P")) {
                us = idao.listaByLogin(us.getUs_noEmail(), us.getUs_noSenha());
                co.setCo_us_id(us.getUs_id());
                idaoC.salvar(co);
            } else if (us.getTipo().equals("A")) {
                us = idao.listaByLogin(us.getUs_noEmail(), us.getUs_noSenha());
                ge.setGe_us_id(us.getUs_id());//salva o gerente
                idaoge.salvar(ge);
            }
            jogador.getJogadorAtual().getJogador().setUs_msgErro("Usuário "+us.getUs_noUsuario()+" Cadastrado com sucesso!");
            pag = "welcomeJSF";
        }
        return pag;
    }
}
