/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package dao;

import entidades.Periodo;
import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.util.ArrayList;
import java.util.List;
import util.ConexaoFactory;

/**
 *
 * @author Doglei
 */
public class PeriodoDAO {

    private Connection conn;

    /**
     *
     * @throws JogosDAOException
     */
    public PeriodoDAO() throws JogosDAOException {
        try {
            this.conn = ConexaoFactory.getConnection();
        } catch (Exception e) {
            throw new JogosDAOException("Erro: " + ": \n" + e.getMessage());
        }
    }

    /**
     *
     * @param turma
     * @param Usuario
     * @return
     * @throws JogosDAOException
     */
    /*public Periodo periodoByTurma(int turma, int eCoordenador) throws JogosDAOException {
        PreparedStatement ps = null;
        Connection conne = null;
        ResultSet rs = null;
        if (turma <= 0) {
            throw new JogosDAOException("O valor passado não pode ser zero - ins.");
        }

        try {
            String where = "";
            
            conne = this.conn;
            ps = conne.prepareStatement("SELECT pe_id, pe_noPeriodo, pe_noStatus, "
                    + "pe_tu_id FROM periodo p where pe_tu_id = ? and (pe_noStatus = 'Aberto' "
                    + where + " )");
            ps.setInt(1, turma);
            rs = ps.executeQuery();
            if (rs == null) {
                throw new JogosDAOException("Nao foi encontrado nenhum registro com o id: " + turma);
            }
            Periodo per = new Periodo(0, 0, "", "");
            if (rs.next()) {
                per.setPe_id(rs.getInt(1));
                per.setPe_noPeriodo(rs.getString(2));
                per.setPe_noStatus(rs.getString(3));
                per.setPe_tu_id(rs.getInt(4));
            }
            return per;
        } catch (SQLException sqle) {
            throw new JogosDAOException("Erro ao inserir dados " + sqle);
        } finally {
            ConexaoFactory.closeConnection(conne, ps);
        }
    }*/

    /**
     *
     * @param pe_id
     * @return
     * @throws JogosDAOException
     */
    public Periodo periodoById(int pe_id) throws JogosDAOException {
        PreparedStatement ps = null;
        Connection conne = null;
        ResultSet rs = null;
        try {
            conne = this.conn;
            String sql = "SELECT pe_tu_id, pe_id, pe_noPeriodo, pe_noStatus FROM periodo where pe_id = " + pe_id;

            ps = conne.prepareStatement(sql);

            rs = ps.executeQuery();
            Periodo per = new Periodo(0, 0, "", "");
            if (rs.next()) {
                per.setPe_tu_id(rs.getInt(1));
                per.setPe_id(rs.getInt(2));
                per.setPe_noPeriodo(rs.getString(3));
                per.setPe_noStatus(rs.getString(4));
            }
            return per;
        } catch (SQLException sqle) {
            throw new JogosDAOException("Erro ao inserir dados " + sqle);
        } finally {
            ConexaoFactory.closeConnection(conne, ps);
        }
    }

    /**
     *
     * @param turma
     * @return
     * @throws JogosDAOException
     */
    public List periodoByTurmaLista(int turma, int e_id) throws JogosDAOException {
        PreparedStatement ps = null;
        Connection conne = null;
        ResultSet rs = null;
        if (turma <= 0) {
            throw new JogosDAOException("Erro ao carregar os periodos.");
        }
        List<Periodo> lista = new ArrayList<Periodo>();
        try {
            conne = this.conn;
            String sql = "select p.pe_id, p.pe_noPeriodo, coalesce(ep.em_noStatus, p.pe_noStatus), p.pe_tu_id from periodo p " +
                    " join empresa_periodo ep on ep.em_pe_id = p.pe_id where " +
                    "ep.em_e_id = "+e_id +
                    " and" +
                    " pe_tu_id = " + turma;
            ps = conne.prepareStatement(sql);
            rs = ps.executeQuery();
            Periodo per = new Periodo(0, 0, "", "");
            while (rs.next()) {
                per = new Periodo(0, 0, "", "");
                per.setPe_id(rs.getInt(1));
                per.setPe_noPeriodo(rs.getString(2));
                per.setPe_noStatus(rs.getString(3));
                per.setPe_tu_id(rs.getInt(4));
                lista.add(per);
            }
            return lista;
        } catch (SQLException sqle) {
            throw new JogosDAOException("Erro ao carregar " + sqle);
        } finally {
            ConexaoFactory.closeConnection(conne, ps);
        }
    }
    public List periodoByTurmaLista(int turma) throws JogosDAOException {
        PreparedStatement ps = null;
        Connection conne = null;
        ResultSet rs = null;
        if (turma <= 0) {
            throw new JogosDAOException("Erro ao carregar os periodos.");
        }
        List<Periodo> lista = new ArrayList<Periodo>();
        try {
            conne = this.conn;
            String sql = "select p.pe_id, p.pe_noPeriodo, p.pe_noStatus, p.pe_tu_id from periodo p " +
                    " where pe_tu_id = " + turma;
            ps = conne.prepareStatement(sql);
            rs = ps.executeQuery();
            Periodo per = new Periodo(0, 0, "", "");
            while (rs.next()) {
                per = new Periodo(0, 0, "", "");
                per.setPe_id(rs.getInt(1));
                per.setPe_noPeriodo(rs.getString(2));
                per.setPe_noStatus(rs.getString(3));
                per.setPe_tu_id(rs.getInt(4));
                lista.add(per);
            }
            return lista;
        } catch (SQLException sqle) {
            throw new JogosDAOException("Erro ao carregar " + sqle);
        } finally {
            ConexaoFactory.closeConnection(conne, ps);
        }
    }

    public Periodo periodoByTurmaAtivo(int turma, int e_id) throws JogosDAOException {
        PreparedStatement ps = null;
        Connection conne = null;
        ResultSet rs = null;
        if (turma <= 0) {
            throw new JogosDAOException("Erro ao carregar os periodos.");
        }

        try {
            conne = this.conn;
            String sql = "select p.pe_id, p.pe_noPeriodo, coalesce(ep.em_noStatus, p.pe_noStatus), p.pe_tu_id from periodo p " +
                    " join empresa_periodo ep on ep.em_pe_id = p.pe_id where ep.em_e_id = "+e_id +
                    " and coalesce(ep.em_noStatus, p.pe_noStatus) = 'Aberto' " +
                    " and pe_tu_id = " + turma;

            ps = conne.prepareStatement(sql);
            rs = ps.executeQuery();
            Periodo per = new Periodo(0, 0, "", "");
            while (rs.next()) {
                per = new Periodo(0, 0, "", "");
                per.setPe_id(rs.getInt(1));
                per.setPe_noPeriodo(rs.getString(2));
                per.setPe_noStatus(rs.getString(3));
                per.setPe_tu_id(rs.getInt(4));

            }
            return per;
        } catch (SQLException sqle) {
            throw new JogosDAOException("Erro ao carregar periodoByTurmaAtivo " + sqle);
        } finally {
            ConexaoFactory.closeConnection(conne, ps);
        }
    }
    public Periodo periodoByTurma(int turma) throws JogosDAOException {
        PreparedStatement ps = null;
        Connection conne = null;
        ResultSet rs = null;
        if (turma <= 0) {
            throw new JogosDAOException("Erro ao carregar os periodos.");
        }

        try {
            conne = this.conn;
            String sql = "select p.pe_id, p.pe_noPeriodo, p.pe_noStatus, p.pe_tu_id from periodo p " +
                    " where p.pe_noStatus = 'Aberto' and pe_tu_id = " + turma;

            ps = conne.prepareStatement(sql);
            rs = ps.executeQuery();
            Periodo per = new Periodo(0, 0, "", "");
            while (rs.next()) {
                per = new Periodo(0, 0, "", "");
                per.setPe_id(rs.getInt(1));
                per.setPe_noPeriodo(rs.getString(2));
                per.setPe_noStatus(rs.getString(3));
                per.setPe_tu_id(rs.getInt(4));
            }
            return per;
        } catch (SQLException sqle) {
            throw new JogosDAOException("Erro ao carregar " + sqle);
        } finally {
            ConexaoFactory.closeConnection(conne, ps);
        }
    }

    /**
     *
     * @param obj
     * @throws JogosDAOException
     */
    public void atualizar(Periodo obj) throws JogosDAOException {
        PreparedStatement ps = null;
        Connection conne = null;

        try {
            String SQL = "update periodo set "
                    + "pe_noStatus = ? "
                    + "where pe_id = ? ";
            conne = this.conn;
            ps = conne.prepareStatement(SQL);
            int i = 1;
            ps.setString(i++, obj.getPe_noStatus());
            ps.setInt(i++, obj.getPe_id());
            ps.executeUpdate();
            manterUmAtivo(obj);
        } catch (SQLException sqle) {
            throw new JogosDAOException("Erro ao atualizar dados " + sqle);
        } finally {
            ConexaoFactory.closeConnection(conne, ps);
        }
    }

    /**
     *
     * @param obj
     * @throws SQLException
     */
    public void manterUmAtivo(Periodo obj) throws SQLException {
        PreparedStatement ps = null;
        Connection conne = null;
        String SQL = "update periodo set "
                + "pe_noStatus = 'Fechado' "
                + "where pe_id <> " + obj.getPe_id() + " and pe_tu_id = " + obj.getPe_tu_id();
        conne = this.conn;
        ps = conne.prepareStatement(SQL);
        ps.executeUpdate();
    }

    /**
     *
     * @param noPeriodo
     * @param tu_id
     * @return
     * @throws JogosDAOException
     */
    public Periodo periodoByNo(String noPeriodo, int tu_id) throws JogosDAOException {
        PreparedStatement ps = null;
        Connection conne = null;
        ResultSet rs = null;
        try {
            conne = this.conn;
            String sql = "SELECT pe_tu_id, pe_id, pe_noPeriodo, pe_noStatus FROM periodo where pe_noPeriodo = '" + noPeriodo + "' AND pe_tu_id = " + tu_id;

            ps = conne.prepareStatement(sql);

            rs = ps.executeQuery();
            Periodo per = new Periodo(0, 0, "", "");
            if (rs.next()) {
                per.setPe_tu_id(rs.getInt(1));
                per.setPe_id(rs.getInt(2));
                per.setPe_noPeriodo(rs.getString(3));
                per.setPe_noStatus(rs.getString(4));
            }
            return per;
        } catch (SQLException sqle) {
            throw new JogosDAOException("Erro ao inserir dados " + sqle);
        } finally {
            ConexaoFactory.closeConnection(conne, ps);
        }
    }
}
