/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package entidades;

import dao.JogosDAOException;
import dao.TipoMaquinaDAO;

/**
 *
 * @author rafael
 */
public class MaquinaPeriodo {
    private int mq_em_id;
    private int mq_nrIdade;
    private int mq_id;
    private int mq_tm_id;
    private String tm_noTipo;
    private Double mq_vlContabil;
    private Double tm_pcCustoManut;

    /**
     *
     * @param mq_em_id
     * @param mq_nrIdade
     * @param tm_noTipo
     * @param mq_tm_id
     * @param mq_id
     * @param mq_vlContabil
     * @param tm_pcCustoManut
     */
    public MaquinaPeriodo(int mq_em_id, int mq_nrIdade, String tm_noTipo, int mq_tm_id, int mq_id, Double mq_vlContabil, Double tm_pcCustoManut) {
        this.mq_em_id = mq_em_id;
        this.mq_em_id = mq_tm_id;
        this.mq_nrIdade = mq_nrIdade;
        this.mq_id = mq_id;
        this.mq_vlContabil = mq_vlContabil;
        this.tm_pcCustoManut = tm_pcCustoManut;
        this.tm_noTipo = tm_noTipo;
    }

    /**
     *
     * @param obj
     */
    public MaquinaPeriodo(MaquinaPeriodo obj) {
        this.mq_id = obj.getMq_id();
        this.mq_em_id = obj.getMq_em_id();
        this.mq_tm_id = obj.getMq_tm_id();
        this.mq_nrIdade = obj.getMq_nrIdade();
        this.mq_vlContabil = obj.getMq_vlContabil();
        this.tm_pcCustoManut = obj.getTm_pcCustoManut();
        this.tm_noTipo = obj.getTm_noTipo();
    }

    public MaquinaPeriodo(){
        this.mq_id = 0;
        this.mq_em_id = 0;
        this.mq_tm_id = 0;
        this.mq_nrIdade = 0;
        this.mq_vlContabil = 0.0;
    }

    /**
     *
     * @return
     */
    public int getMq_id() {
        return mq_id;
    }

    /**
     *
     * @param mq_id
     */
    public void setMq_id(int mq_id) {
        this.mq_id = mq_id;
    }


    /**
     *
     * @return
     */
    public int getMq_em_id() {
        return mq_em_id;
    }

    /**
     *
     * @param mq_em_id
     */
    public void setMq_em_id(int mq_em_id) {
        this.mq_em_id = mq_em_id;
    }

    /**
     *
     * @return
     */
    public int getMq_tm_id() {
        return mq_tm_id;
    }

    /**
     *
     * @param mq_tm_id
     */
    public void setMq_tm_id(int mq_tm_id) {
        this.mq_tm_id = mq_tm_id;
    }

    /**
     *
     * @return
     */
    public int getMq_nrIdade() {
        return mq_nrIdade;
    }


    /**
     *
     * @param mq_nrIdade
     */
    public void setMq_nrIdade(int mq_nrIdade) {
        this.mq_nrIdade = mq_nrIdade;
    }

    /**
     *
     * @return
     */
    public Double getMq_vlContabil() {
        return mq_vlContabil;
    }

    /**
     *
     * @param mq_vlContabil
     */
    public void setMq_vlContabil(Double mq_vlContabil) {
        this.mq_vlContabil = mq_vlContabil;
    }

    /**
     *
     * @return
     */
    public String getTm_noTipo() {
        return tm_noTipo;
    }

    /**
     *
     * @param tm_noTipo
     */
    public void setTm_noTipo(String tm_noTipo) {
        this.tm_noTipo = tm_noTipo;
    }

    /**
     *
     * @return
     */
    public Double getTm_pcCustoManut() {
        return tm_pcCustoManut;
    }

    /**
     *
     * @param tm_pcCustoManut
     */
    public void setTm_pcCustoManut(Double tm_pcCustoManut) {
        this.tm_pcCustoManut = tm_pcCustoManut;
    }
  

    @Override
    public String toString() {
        return "MaquinaPeriodo{" + "mq_em_id=" + mq_em_id + "mq_nrIdade=" + mq_nrIdade + "mq_id=" + mq_id + "mq_tm_id=" + mq_tm_id + "tm_noTipo=" + tm_noTipo + "mq_vlContabil=" + mq_vlContabil + "tm_pcCustoManut=" + tm_pcCustoManut + '}';
    }

 
}
