/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package entidades;

import dao.JogosDAOException;
import dao.ParamFixoDAO;

/**
 *
 * @author rafael
 */
public class ParamFixo {

    private int pf_id;
    private int pf_tu_id;
    private Double pf_vlPredio;
    private Double pf_vlTerreno;
    private Double pf_pcVarMaquinas;
    private double pf_pcJurosAtrasos;

    /**
     *
     * @param pf_id
     * @param pf_tu_id
     * @param pf_vlPredio
     * @param pf_vlTerreno
     * @param pf_pcVarMaquinas
     * @param pf_pcJurosAtrasos
     */
    public ParamFixo(int pf_id, int pf_tu_id, Double pf_vlPredio, Double pf_vlTerreno, Double pf_pcVarMaquinas, double pf_pcJurosAtrasos) {
        this.pf_id = pf_id;
        this.pf_tu_id = pf_tu_id;
        this.pf_vlPredio = pf_vlPredio;
        this.pf_vlTerreno = pf_vlTerreno;
        this.pf_pcVarMaquinas = pf_pcVarMaquinas;
        this.pf_pcJurosAtrasos = pf_pcJurosAtrasos;
    }

    /**
     *
     * @param obj
     */
    public ParamFixo(ParamFixo obj) {
        this.pf_id = obj.getPf_id();
        this.pf_tu_id = obj.getPf_tu_id();
        this.pf_vlPredio = obj.getPf_vlPredio();
        this.pf_vlTerreno = obj.getPf_vlTerreno();
        this.pf_pcVarMaquinas = obj.getPf_pcVarMaquinas();
        this.pf_pcJurosAtrasos = obj.getPf_pcJurosAtrasos();
    }
    public ParamFixo() {
        this.pf_id = 0;
        this.pf_tu_id = 0;
        this.pf_vlPredio = 0.0;
        this.pf_vlTerreno = 0.0;
        this.pf_pcVarMaquinas = 0.0;
        this.pf_pcJurosAtrasos = 0.0;
    }

    /**
     *
     * @return
     */
    public int getPf_id() {
        return pf_id;
    }

    /**
     *
     * @param pf_id
     */
    public void setPf_id(int pf_id) {
        this.pf_id = pf_id;
    }

    /**
     *
     * @return
     */
    public int getPf_tu_id() {
        return pf_tu_id;
    }

    /**
     *
     * @param pf_tu_id
     */
    public void setPf_tu_id(int pf_tu_id) {
        this.pf_tu_id = pf_tu_id;
    }



    /**
     *
     * @return
     */
    public Double getPf_pcVarMaquinas() {
        return pf_pcVarMaquinas;
    }

    /**
     *
     * @param pf_pcVarMaquinas
     */
    public void setPf_pcVarMaquinas(Double pf_pcVarMaquinas) {
        this.pf_pcVarMaquinas = pf_pcVarMaquinas;
    }

    /**
     *
     * @return
     */
    public Double getPf_vlPredio() {
        return pf_vlPredio;
    }

    /**
     *
     * @param pf_vlPredio
     */
    public void setPf_vlPredio(Double pf_vlPredio) {
        this.pf_vlPredio = pf_vlPredio;
    }


    /**
     *
     * @return
     */
    public Double getPf_vlTerreno() {
        return pf_vlTerreno;
    }

    /**
     *
     * @param pf_vlTerreno
     */
    public void setPf_vlTerreno(Double pf_vlTerreno) {
        this.pf_vlTerreno = pf_vlTerreno;
    }

    /**
     *
     * @return
     */
    public double getPf_pcJurosAtrasos() {
        return pf_pcJurosAtrasos;
    }

    /**
     *
     * @param pf_pcJurosAtrasos
     */
    public void setPf_pcJurosAtrasos(double pf_pcJurosAtrasos) {
        this.pf_pcJurosAtrasos = pf_pcJurosAtrasos;
    }



    /**
     *
     * @return
     */
    public double depreciacaoPredio(){
        double depreciacaoPredido = 0.0;
        depreciacaoPredido = this.pf_vlPredio * 0.01;
        return depreciacaoPredido;
    }



/*    public static void main(String args[]) throws JogosDAOException{
        ParamFixoDAO pfDAO = new ParamFixoDAO();
        ParamFixo pf = pfDAO.pfByTuId(3);
        System.out.println(pf.depreciacaoPredio());
    }*/

}
