/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package entidades;

import java.io.Serializable;

/**
 *
 * @author Doglei
 */
public class Periodo implements Serializable {

    private int pe_id;
    private int pe_tu_id;
    private String pe_noPeriodo;
    private String pe_noStatus;

    /**
     *
     * @param pe_id
     * @param pe_tu_id
     * @param pe_noPeriodo
     * @param pe_noStatus
     */
    public Periodo(int pe_id, int pe_tu_id, String pe_noPeriodo, String pe_noStatus) {
        this.pe_id = pe_id;
        this.pe_tu_id = pe_tu_id;
        this.pe_noPeriodo = pe_noPeriodo;
        this.pe_noStatus = pe_noStatus;
    }
    public Periodo() {
        this.pe_id = 0;
        this.pe_tu_id = 0;
        this.pe_noPeriodo = "";
        this.pe_noStatus = "";
    }

    /**
     *
     * @return
     */
    public int getPe_id() {
        return pe_id;
    }

    /**
     *
     * @param pe_id
     */
    public void setPe_id(int pe_id) {
        this.pe_id = pe_id;
    }

    /**
     *
     * @return
     */
    public String getPe_noPeriodo() {
        return pe_noPeriodo;
    }

    /**
     *
     * @param pe_noPeriodo
     */
    public void setPe_noPeriodo(String pe_noPeriodo) {
        this.pe_noPeriodo = pe_noPeriodo;
    }

    /**
     *
     * @return
     */
    public int getPe_tu_id() {
        return pe_tu_id;
    }

    /**
     *
     * @param pe_tu_id
     */
    public void setPe_tu_id(int pe_tu_id) {
        this.pe_tu_id = pe_tu_id;
    }

    /**
     *
     * @return
     */
    public String getPe_noStatus() {
        return pe_noStatus;
    }

    /**
     *
     * @param pe_noStatus
     */
    public void setPe_noStatus(String pe_noStatus) {
        this.pe_noStatus = pe_noStatus;
    }

 
    @Override
    public boolean equals(Object obj) {
        if (obj == null) {
            return false;
        }
        if (getClass() != obj.getClass()) {
            return false;
        }
        final Periodo other = (Periodo) obj;
        if (this.pe_id != other.pe_id) {
            return false;
        }
        if (this.pe_tu_id != other.pe_tu_id) {
            return false;
        }
        if ((this.pe_noPeriodo == null) ? (other.pe_noPeriodo != null) : !this.pe_noPeriodo.equals(other.pe_noPeriodo)) {
            return false;
        }
        if ((this.pe_noStatus == null) ? (other.pe_noStatus != null) : !this.pe_noStatus.equals(other.pe_noStatus)) {
            return false;
        }
        return true;
    }

    @Override
    public int hashCode() {
        int hash = 7;
        hash = 23 * hash + this.pe_id;
        hash = 23 * hash + this.pe_tu_id;
        hash = 23 * hash + (this.pe_noPeriodo != null ? this.pe_noPeriodo.hashCode() : 0);
        hash = 23 * hash + (this.pe_noStatus != null ? this.pe_noStatus.hashCode() : 0);
        return hash;
    }

    @Override
    public String toString() {
        return "Periodo{" + "pe_id=" + pe_id + "pe_tu_id=" + pe_tu_id + "pe_noPeriodo=" + pe_noPeriodo + "pe_noStatus=" + pe_noStatus + '}';
    }

}
