function GetIt(url){

    var figura = null;

    if(window.ActiveXObject){
        figura = new ActiveXObject("Microsoft.XMLHTTP");
    }
    else if (window.XMLHttpRequest){
        figura = new XMLHttpRequest();
    }
    else{
        alert("Seu navegador não tem suporte a AJAX.");
    }


    if (figura){

        figura.open('GET',url,false);
        figura.send(null);
        if (figura.readyState == 1){
            document.getElementById('content').innerHTML = 'Carregando';
        }
        else if (figura.readyState == 4){
            document.getElementById('content').innerHTML = figura.responseText;
        }
    }
}

function setTitle(t){
    document.getElementById('hdr').innerHTML = t;
}

function constroi_ajax() {
    var xmlhttp=false;
    if (!xmlhttp && typeof XMLHttpRequest!='undefined') {
        try {
            xmlhttp = new XMLHttpRequest();
        }
        catch (e) {
            xmlhttp=false;
        }
    }
    if (!xmlhttp && window.createRequest) {
        try {
            xmlhttp = window.createRequest();
        } catch (e) {
            xmlhttp = false;
        }
    }
    if (!xmlhttp && window.ActiveXObject) {
        xmlhttp = new ActiveXObject("Microsoft.XMLHTTP");
    }
    return(xmlhttp);
}

xmlhttp = new Array();

/*
Função para executar códigos ajax.
Recebe a página a ser executada e os parametros a serem passados
*/
function executa_ajax() {
    /*
    parametros: valores a serem repassados para a página de execução do ajax. Ex. "VALOR1=1&VALOR2=2..."
    pag: Endereço da fonte que executa o ajax. Ex. "sistema.php?ACAO=pagina_php.php"
    metodo: GET ou POST ou alert
    */
    var parametros;
    var pag;
    var metodo;
    var mostra = false;

    var argv = executa_ajax.arguments;
    var argc = argv.length;
    if (argc < 2){
        alert('Erro ao utilizar função executa_ajax. Verifique em search.js');
        return false;
    }
    if(argv[0]){
        parametros = argv[0];
    }
    if(argv[1]){
        pag = argv[1];
    }
    if(argv[2]){
        metodo = argv[2];
    }else{
        metodo = '';
    }
    if(argv[3]){
        mostra = true;
    }

    /*alert(parametros);
    alert(pag);
    alert(metodo);
    alert(mostra);*/

    var get = '';
    if (metodo == ''){//padrão é o method POST.
        metodo = "POST";
    }
    if (metodo == "POST"){//É possivel utilizar o metodo POST ou GET
        get = 'ajax=POST';//identificador de execução do ajax.
    }else if (metodo == "GET"){
        get = 'ajax=GET&'+parametros;//O "ajax=1" é passado sempre por GET, na página utilizar $_GET['ajax'] ou $_REQUEST['ajax'], para recuperar o valor.
    }else{
        alert ('O metodo passado para a função é inválido!('+metodo+')');
        return false;
    }

    var pos = pag.indexOf("?");

    if (pos < 0){
        get = "?"+get;
    }else{
        get = "&"+get;
    }
    var i = xmlhttp.length;
    i++;
    xmlhttp[i] = constroi_ajax();
    if (xmlhttp[i]) {
        xmlhttp[i].open(metodo, pag+get, true);//Adiciona o get Ajax para sempre ser usado como indicador de execução do código ajax.
        xmlhttp[i].setRequestHeader("Content-type", "application/x-www-form-urlencoded");
        xmlhttp[i].setRequestHeader("Content-length", parametros.length);
        xmlhttp[i].setRequestHeader("Connection", "close");
        xmlhttp[i].setRequestHeader('Accept', 'message/x-jl-formresult');
        xmlhttp[i].send(parametros);
        xmlhttp[i].onreadystatechange = function() {
            if (xmlhttp[i].readyState == 4){
                var res = xmlhttp[i].responseText;
                if(mostra){
                    alert(res);
                }
                eval(res);
            }
        }
    } else {
        alert('Erro Ajax! Contate o suporte');
    }

}


function desabilita_campos(){
    argv = arguments;
    var tipo = (desabilidaGlobal == 0)?true:false;
    
    var input          = document.getElementsByTagName('input');
    var select        = document.getElementsByTagName('select');
    var textarea    = document.getElementsByTagName('textarea');
    
    for(var i=0; i<select.length; i++){
        select[i].disabled = tipo;
    }
    for(var i=0; i<textarea.length; i++){
        textarea[i].disabled=tipo;
    }
    for(var i=0; i<input.length; i++){
        input[i].disabled =  tipo;
    }
}