<%@include file="cabecalho.jsp" %>
<f:view>
    <h:messages />
    <h:form>
        <h:dataTable value="#{turmaView.todos}" var="item" border="1"
                     cellpadding="2" cellspacing="0">
            <f:facet name="header">
                <h:outputText value="Mostrar Turmas" />
            </f:facet>

            <h:column>
                <f:facet name="header">
                    <h:outputText value="Nome"/>
                </f:facet>
                <h:commandLink action="#{turmaView.editar}" value="#{item.tu_noTurma}"/>
            </h:column>

            <h:column>
                <f:facet name="header">
                    <h:outputText value="Apelido da Turma"/>
                </f:facet>
                <h:outputText id="turmaApelido" value="#{item.tu_noApelido}"/>
            </h:column>

            <h:column>
                <f:facet name="header">
                    <h:outputText value="Ano"/>
                </f:facet>
                <h:outputText id="turmaAno" value="#{item.tu_nrAno}"/>
            </h:column>
            <h:column>
                <f:facet name="header">
                    <h:outputText value="Semestre"/>
                </f:facet>
                <h:outputText id="turmaSemestre" value="#{item.tu_nrSemestre}"/>
            </h:column>
            <h:column>
                <f:facet name="header">
                    <h:outputText value="Excluir Turma"/>
                </f:facet>
                <h:commandLink action="#{turmaView.excluir}" value="Excluir" />
            </h:column>
        </h:dataTable>
        <h:commandLink action="#{turmaView.novaTurma}" value="Cadastrar nova Turma" />
    </h:form>
</f:view>
<%@include file="rodape.jsp" %>
