/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package entidades;

import dao.CustoVariavelDAO;
import dao.EstoquempDAO;
import dao.JogosDAOException;

/**
 *'amortizacao'
'compramp'
'custosfixo'
'custovariavel'
'empresa'
'empresa_periodo'
 * 
 * @author Doglei
 */
public class CustoVariavel implements java.io.Serializable {
    private int cv_em_id;

    /**
     *
     * @param cv_em_id
     */
    public CustoVariavel(int cv_em_id){
        this.cv_em_id = cv_em_id;

    }

    /**
     *
     * @return
     */
    public int getCv_em_id() {
        return cv_em_id;
    }

    /**
     *
     * @param cv_em_id
     */
    public void setCv_em_id(int cv_em_id) {
        this.cv_em_id = cv_em_id;
    }


    /**
     *
     * @return
     * @throws JogosDAOException
     */
    public double manutencaoMaquinas() throws JogosDAOException{
        double manutencaoMaquinas = 0.0;
        CustoVariavelDAO cvDAO = new CustoVariavelDAO();
        manutencaoMaquinas = cvDAO.manutencaoMaquinas(this.cv_em_id);
        return manutencaoMaquinas;
    }

    /**
     *
     * @return
     * @throws JogosDAOException
     */
    public double totalMateriaPrima() throws JogosDAOException{
        double totalMateriaPrima = 0.0;
        EstoquempDAO esDAO = new EstoquempDAO();
        Estoquemp es = esDAO.getByEmPr(this.cv_em_id);
        totalMateriaPrima = es.valorEstoqueMPA() + es.valorEstoqueMPB();
        return totalMateriaPrima;
    }

    /**
     *
     * @return
     * @throws JogosDAOException
     */
    public double totalCustoVariavel() throws JogosDAOException{
        double totalCustoVariavel = 0.0;
        totalCustoVariavel = this.manutencaoMaquinas() + this.totalMateriaPrima();
        return totalCustoVariavel;
    }

    /*public static void main (String args[]) throws JogosDAOException{
        CustoVariavel cv = new CustoVariavel(9);
        System.out.println(cv.totalCustoVariavel());
    }*/


}
