/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package entidades;

import dao.EmpresaPeriodoDAO;
import dao.JogosDAOException;
import dao.ParamVariavelDAO;
import dao.RegiaoDAO;
import java.io.Serializable;

/**
 *
 * @author Doglei
 */
public class Regiao  implements Serializable{

    private int re_id;
    private int re_em_id;
    private String re_noRegiao; // enum('1','2','3','4','5','6','7','8','9') DEFAULT NULL,
    private int re_nrPrazo;
    private int re_nrDemanda;
    private int re_nrMetasVenda;
    private int re_qtVendida;
    private int re_qtPropaganda;
    private double re_pcMargem;
    private double re_vlPreco;
    private double re_vlPrecoProd;
    private double re_vlReceita;

    /**
     *
     * @param re_id
     * @param re_em_id
     * @param re_noRegiao
     * @param re_nrPrazo
     * @param re_nrDemanda
     * @param re_nrMetasVenda
     * @param re_qtVendida
     * @param re_qtPropaganda
     * @param re_pcMargem
     * @param re_vlPreco
     * @param re_vlPrecoProd
     * @param re_vlReceita
     */
    public Regiao(int re_id, int re_em_id, String re_noRegiao, int re_nrPrazo, int re_nrDemanda, int re_nrMetasVenda, int re_qtVendida, int re_qtPropaganda, double re_pcMargem, double re_vlPreco, double re_vlPrecoProd, double re_vlReceita) {
        this.re_id = re_id;
        this.re_em_id = re_em_id;
        this.re_noRegiao = re_noRegiao;
        this.re_nrPrazo = re_nrPrazo;
        this.re_nrDemanda = re_nrDemanda;
        this.re_nrMetasVenda = re_nrMetasVenda;
        this.re_qtVendida = re_qtVendida;
        this.re_qtPropaganda = re_qtPropaganda;
        this.re_pcMargem = re_pcMargem;
        this.re_vlPreco = re_vlPreco;
        this.re_vlPrecoProd = re_vlPrecoProd;
        this.re_vlReceita = re_vlReceita;
    }

    /**
     *
     * @return
     */
    public int getRe_em_id() {
        return re_em_id;
    }

    /**
     *
     * @param re_em_id
     */
    public void setRe_em_id(int re_em_id) {
        this.re_em_id = re_em_id;
    }

    /**
     *
     * @return
     */
    public int getRe_id() {
        return re_id;
    }

    /**
     *
     * @param re_id
     */
    public void setRe_id(int re_id) {
        this.re_id = re_id;
    }

    /**
     *
     * @return
     */
    public String getRe_noRegiao() {
        return re_noRegiao;
    }

    /**
     *
     * @param re_noRegiao
     */
    public void setRe_noRegiao(String re_noRegiao) {
        this.re_noRegiao = re_noRegiao;
    }

    /**
     *
     * @return
     */
    public int getRe_nrDemanda() {
        return re_nrDemanda;
    }

    /**
     *
     * @param re_nrDemanda
     */
    public void setRe_nrDemanda(int re_nrDemanda) {
        this.re_nrDemanda = re_nrDemanda;
    }

    /**
     *
     * @return
     */
    public int getRe_nrMetasVenda() {
        return re_nrMetasVenda;
    }

    /**
     *
     * @param re_nrMetasVenda
     */
    public void setRe_nrMetasVenda(int re_nrMetasVenda) {
        this.re_nrMetasVenda = re_nrMetasVenda;
    }

    /**
     *
     * @return
     */
    public int getRe_nrPrazo() {
        return re_nrPrazo;
    }

    /**
     *
     * @param re_nrPrazo
     */
    public void setRe_nrPrazo(int re_nrPrazo) {
        this.re_nrPrazo = re_nrPrazo;
    }

    /**
     *
     * @return
     */
    public double getRe_pcMargem() {
        return re_pcMargem;
    }

    /**
     *
     * @param re_pcMargem
     */
    public void setRe_pcMargem(double re_pcMargem) {
        this.re_pcMargem = re_pcMargem;
    }

    /**
     *
     * @return
     */
    public int getRe_qtPropaganda() {
        return re_qtPropaganda;
    }

    /**
     *
     * @param re_qtPropaganda
     */
    public void setRe_qtPropaganda(int re_qtPropaganda) {
        this.re_qtPropaganda = re_qtPropaganda;
    }

    /**
     *
     * @return
     */
    public int getRe_qtVendida() {
        return re_qtVendida;
    }

    /**
     *
     * @param re_qtVendida
     */
    public void setRe_qtVendida(int re_qtVendida) {
        this.re_qtVendida = re_qtVendida;
    }

    /**
     *
     * @return
     */
    public double getRe_vlPreco() {
        return re_vlPreco;
    }

    /**
     *
     * @param re_vlPreco
     */
    public void setRe_vlPreco(double re_vlPreco) {
        this.re_vlPreco = re_vlPreco;
    }

    /**
     *
     * @return
     */
    public double getRe_vlPrecoProd() {
        return re_vlPrecoProd;
    }

    /**
     *
     * @param re_vlPrecoProd
     */
    public void setRe_vlPrecoProd(double re_vlPrecoProd) {
        this.re_vlPrecoProd = re_vlPrecoProd;
    }

    /**
     *
     * @return
     */
    public double getRe_vlReceita() {
        return re_vlReceita;
    }

    /**
     *
     * @param re_vlReceita
     */
    public void setRe_vlReceita(double re_vlReceita) {
        this.re_vlReceita = re_vlReceita;
    }

    /**
     *
     * @throws JogosDAOException
     */
    public void calcPreco() throws JogosDAOException{
        CustoMedio cm = new CustoMedio(this.re_em_id);
        Despesa des = new Despesa(this.re_em_id);
        this.setRe_vlPreco((cm.custoMedioUnitario() + des.despesasFixasRateadas() + this.despesaMarketing() + this.despesaDistribuicao()) * (1 + this.re_pcMargem));
        
    }

    /**
     *
     * @return
     * @throws JogosDAOException
     */
    public double despesaMarketing() throws JogosDAOException{
        double despesaMarketing = 0.0;
        EmpresaPeriodoDAO emDAO = new EmpresaPeriodoDAO();
        EmpresaPeriodo em = emDAO.empresaById(this.re_em_id);
        ParamVariavelDAO pvDAO = new ParamVariavelDAO();
        ParamVariavel pv = pvDAO.listaByPeriodo(em.getEm_pe_id());
        if(this.re_qtPropaganda > 0){
            despesaMarketing = this.re_qtPropaganda * pv.getPv_vlPropag() / this.re_qtVendida;
        }
        return despesaMarketing;
    }

    /**
     *
     * @return
     * @throws JogosDAOException
     */
    public double despesaDistribuicao() throws JogosDAOException{
        double despesaDistribuicao = 0.0;
        EmpresaPeriodoDAO emDAO = new EmpresaPeriodoDAO();
        EmpresaPeriodo em = emDAO.empresaById(this.re_em_id);
        ParamVariavelDAO pvDAO = new ParamVariavelDAO();
        ParamVariavel pv = pvDAO.listaByPeriodo(em.getEm_pe_id());
        if (em.getEm_nome().compareTo(this.re_noRegiao) == 0){
            despesaDistribuicao = pv.getPv_vlDistLoc();
        }
        else{
            despesaDistribuicao = pv.getPv_vlDistExt();
        }
        return despesaDistribuicao;
    }

    @Override
    public boolean equals(Object obj) {
        if (obj == null) {
            return false;
        }
        if (getClass() != obj.getClass()) {
            return false;
        }
        final Regiao other = (Regiao) obj;
        if (this.re_id != other.re_id) {
            return false;
        }
        if (this.re_em_id != other.re_em_id) {
            return false;
        }
        if ((this.re_noRegiao == null) ? (other.re_noRegiao != null) : !this.re_noRegiao.equals(other.re_noRegiao)) {
            return false;
        }
        if (this.re_nrPrazo != other.re_nrPrazo) {
            return false;
        }
        if (this.re_nrDemanda != other.re_nrDemanda) {
            return false;
        }
        if (this.re_nrMetasVenda != other.re_nrMetasVenda) {
            return false;
        }
        if (this.re_qtVendida != other.re_qtVendida) {
            return false;
        }
        if (this.re_qtPropaganda != other.re_qtPropaganda) {
            return false;
        }
        if (Double.doubleToLongBits(this.re_pcMargem) != Double.doubleToLongBits(other.re_pcMargem)) {
            return false;
        }
        if (Double.doubleToLongBits(this.re_vlPreco) != Double.doubleToLongBits(other.re_vlPreco)) {
            return false;
        }
        if (Double.doubleToLongBits(this.re_vlPrecoProd) != Double.doubleToLongBits(other.re_vlPrecoProd)) {
            return false;
        }
        if (Double.doubleToLongBits(this.re_vlReceita) != Double.doubleToLongBits(other.re_vlReceita)) {
            return false;
        }
        return true;
    }

    @Override
    public int hashCode() {
        int hash = 7;
        hash = 67 * hash + this.re_id;
        hash = 67 * hash + this.re_em_id;
        hash = 67 * hash + (this.re_noRegiao != null ? this.re_noRegiao.hashCode() : 0);
        hash = 67 * hash + this.re_nrPrazo;
        hash = 67 * hash + this.re_nrDemanda;
        hash = 67 * hash + this.re_nrMetasVenda;
        hash = 67 * hash + this.re_qtVendida;
        hash = 67 * hash + this.re_qtPropaganda;
        hash = 67 * hash + (int) (Double.doubleToLongBits(this.re_pcMargem) ^ (Double.doubleToLongBits(this.re_pcMargem) >>> 32));
        hash = 67 * hash + (int) (Double.doubleToLongBits(this.re_vlPreco) ^ (Double.doubleToLongBits(this.re_vlPreco) >>> 32));
        hash = 67 * hash + (int) (Double.doubleToLongBits(this.re_vlPrecoProd) ^ (Double.doubleToLongBits(this.re_vlPrecoProd) >>> 32));
        hash = 67 * hash + (int) (Double.doubleToLongBits(this.re_vlReceita) ^ (Double.doubleToLongBits(this.re_vlReceita) >>> 32));
        return hash;
    }

    @Override
    public String toString() {
        return "Regiao{" + "re_id=" + re_id + "re_em_id=" + re_em_id + "re_noRegiao=" + re_noRegiao + "re_nrPrazo=" + re_nrPrazo + "re_nrDemanda=" + re_nrDemanda + "re_nrMetasVenda=" + re_nrMetasVenda + "re_qtVendida=" + re_qtVendida + "re_qtPropaganda=" + re_qtPropaganda + "re_pcMargem=" + re_pcMargem + "re_vlPreco=" + re_vlPreco + "re_vlPrecoProd=" + re_vlPrecoProd + "re_vlReceita=" + re_vlReceita + '}';
    }
}
