/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package util;

import dao.JogosDAOException;
import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.ResultSet;
import java.sql.Statement;

/**
 *
 * @author Doglei
 */
public class ConexaoFactory {

    public static Connection getConnection() throws JogosDAOException {
        try {
            Class.forName("com.mysql.jdbc.Driver");
            return DriverManager.getConnection("jdbc:mysql://localhost/ejogos", "root", "projeto");

        } catch (Exception e) {
            throw new JogosDAOException(e.getMessage());
        }
    }

    public static void closeConnection(Connection conn,
            Statement stmt, ResultSet rs) throws JogosDAOException {
        close(conn, stmt, rs);
    }

    public static void closeConnection(Connection conn, Statement stmt)
            throws JogosDAOException {
        close(conn, stmt, null);
    }

    public static void closeConnection(Connection conn)
            throws JogosDAOException {
        close(conn, null, null);
    }

    private static void close(Connection conn, Statement stmt, ResultSet rs) 
            throws JogosDAOException {
         try {
            if (rs != null) rs.close();
            if (stmt != null) stmt.close();
            if (conn != null) conn.close();
         } catch (Exception e){
             throw new JogosDAOException(e.getMessage());
         }

    }
}
