<%@include file="cabecalho.jsp" %>
<%
mostraLinksPeriodo = false;//para no mostrar o link de alterao de periodos TEM QUE SER DEPOIS DO CABEALHO
%>
<f:view>
    <%@include file="menu.jsp" %>
    <div >
        <h:form id="altturma">
            <p>Alterar Turma</p>
            <h:panelGrid columns="3" styleClass="tbl-class">
                
                <h:outputLabel value="Turma:"/>
                <h:inputText size="40" id="tu_noTurma" value="#{turmaView.turma.tu_noTurma}" required="true" />
                <h:message for="tu_noTurma" />

                <h:outputLabel value="Apelido:"/>
                <h:inputText size="30" id="tu_noApelido" value="#{turmaView.turma.tu_noApelido}" required="true" />
                <h:message for="tu_noApelido" />

                <h:outputLabel value="Semestre:"/>
                <h:inputText size="5" id="tu_nrSemestre" value="#{turmaView.turma.tu_nrSemestre}"
                             validator="#{turmaView.validaSemestre}" maxlength="1">
                    <f:convertNumber integerOnly="true" />
                </h:inputText>
                <h:message for="tu_nrSemestre" />

                <h:outputLabel value="Ano:"/>
                <h:inputText size="5" id="tu_nrAno" value="#{turmaView.turma.tu_nrAno}">
                    <%--<f:convertNumber integerOnly="true" />--%>
                </h:inputText>
                <h:message for="tu_nrAno" />

                <h:outputLabel value="Ativa:"/>
                <h:selectBooleanCheckbox id="tu_fgAtiva" value="#{turmaView.turma.tu_fgAtiva}" />
                <h:message for="tu_fgAtiva" />
            </h:panelGrid>

            <h:commandButton styleClass="botao" value="Atualizar"  action="#{turmaView.update}" />
            <h:commandButton styleClass="botao" value="Desfazer" type="reset" />
        </h:form>
    </div>
    <br/>
    <br/>
    <div>
        <h:form>
            <p>Turmas Cadastradas</p>
            <h:dataTable value="#{turmaView.todos}" var="item" styleClass="tbl-class">
                <h:column>
                    <f:facet name="header">
                        <h:outputText value="Nome"/>
                    </f:facet>
                    <h:commandLink action="#{turmaView.editar}" value="#{item.tu_noTurma}"/>
                </h:column>

                <h:column>
                    <f:facet name="header">
                        <h:outputText value="Apelido da Turma"/>
                    </f:facet>
                    <h:outputText id="turmaApelido" value="#{item.tu_noApelido}"/>
                </h:column>

                <h:column>
                    <f:facet name="header">
                        <h:outputText value="Ano"/>
                    </f:facet>
                    <h:outputText styleClass="num" id="turmaAno" value="#{item.tu_nrAno}"/>
                </h:column>
                <h:column>
                    <f:facet name="header">
                        <h:outputText value="Semestre"/>
                    </f:facet>
                    <h:outputText styleClass="num" id="turmaSemestre" value="#{item.tu_nrSemestre}"/>
                </h:column>
            </h:dataTable>

        </h:form>
    </div>
    <%@include file="rodape.jsp" %>
</f:view>
