<%@include file="cabecalho.jsp" %>

<%@include file="menu.jsp" %>

<script type="text/javascript" language="javascript">
    function validar_senha(){
        if((document.getElementById("cadGerente:ge_noSenha").valueOf()) != (document.getElementById("cadGerente:ge_noSenhaConf").valueOf())){
            alert("O campo confirmar senha e senha nao estao iguais. Favor redigitar.");
        }
    }
</script>

<f:view>
    <h:form id="cadGerente" >
        <p>Cadastro de Gerente</p>
        <h:panelGrid columns="3" styleClass="tbl-class" >
            <h:outputLabel styleClass="th-faces" value="Turma"/>
            <h:selectOneMenu id="ge_tu_id"
                             value="#{gerenteView.gerente.ge_tu_id}">
                <f:selectItems
                    value="#{gerenteView.turma.menu}" />
            </h:selectOneMenu>
            <h:message for="ge_tu_id" />


            <h:outputLabel styleClass="th-faces" value="Gerente"/>
            <h:inputText size="30" id="ge_noGerente" value="#{gerenteView.gerente.ge_noGerente}" required="true" />
            <h:message for="ge_noGerente" />

            <h:outputLabel styleClass="th-faces" value="Empresa"/>
            <h:selectOneMenu id="empresa_e_id"
                             value="#{gerenteView.gerente.empresa_e_id}">
                <f:selectItems
                    value="#{gerenteView.menuEmpresa}" />
            </h:selectOneMenu>
            <h:message for="empresa_e_id" />

            <h:outputLabel styleClass="th-faces" value="Setor"/>
            <h:selectOneMenu id="se_id"
                             value="#{gerenteView.gerente.setor_se_id}">
                <f:selectItems
                    value="#{gerenteView.menuSetor}" />
            </h:selectOneMenu>
            <h:message for="se_id" />


            <h:outputLabel styleClass="th-faces" value="E-mail"/>
            <h:inputText size="30" id="ge_noEmail" value="#{gerenteView.gerente.ge_noEmail}" />
            <h:message for="ge_noEmail" />

            <h:outputLabel styleClass="th-faces" value="Matrcula"/>
            <h:inputText size="30" id="ge_nrMatric" value="#{gerenteView.gerente.ge_nrMatric}"
                         validator="#{gerenteView.validaMatricula}" maxlength="30">
            </h:inputText>
            <h:message for="ge_nrMatric" />

            <h:outputLabel styleClass="th-faces" value="Senha "/>
            <h:inputSecret size="30" id="ge_noSenha" value="#{gerenteView.gerente.ge_noSenha}" />
            <h:message for="ge_noSenha" />

            <h:outputLabel styleClass="th-faces" value="Confirme a Senha "/>
            <h:inputSecret size="30" id="ge_noSenhaConf" value="#{gerenteView.gerente.ge_noSenhaConf}"
                           validator="#{gerenteView.validaSenha}" maxlength="30">
            </h:inputSecret>
            <h:message for="ge_noSenhaConf" />
        </h:panelGrid>
        <br />
        <h:commandButton styleClass="botao" value="Cadastrar" action="#{gerenteView.create}"/>
        <h:commandButton styleClass="botao" value="Limpar" type="reset" />
        <h:commandButton styleClass="botao" value="Cancelar" action="welcomeJSF" />
    </h:form>
</f:view>
<%@include file="rodape.jsp" %>
