/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package entidades;

import dao.FolhaDecisoesDAO;
import dao.JogosDAOException;

/**
 *
 * @author rafael
 */
public class FolhaDecisoes {

    private int fd_id;
    private int fd_em_id;
    private int fd_nrAdmitidos;
    private int fd_nrDemitidos;
    private double fd_nrSalario; /**/
    private double fd_pcTreinamento;
    private double fd_pcParticipacao;
    private double fd_vlCompProgMPA;
    private double fd_vlCompProgMPB;
    private int fd_nrPzPgtoMP;
    private double fd_pcNivelAtividade;
    private double fd_pcProducaoExtra; /**/
    private double fd_pcProdutividade; /**/
    private int fd_nrCompMaqA;
    private int fd_nrCompMaqB;
    private int fd_nrCompMaqG;
    private int fd_nrVendMaqA;
    private int fd_nrVendMaqB;
    private int fd_nrVendMaqG;
    private double fd_vlEmprestimo;
    private int fd_nrTpEmprestimo;
    private double fd_vlAplicacao;
    private double fd_pcJurosVdPz;
    private double fd_vlDiversos;
    private String fd_nrPzPgtoMPC4;
    private String maq_Coluna;
    private String maq_Alfa;
    private String maq_Beta;
    private String maq_Gama;

    /**
     *
     */
    public FolhaDecisoes(){
        this.fd_id = 0;
        this.fd_em_id = 0;
        this.fd_nrAdmitidos = 0;
        this.fd_nrDemitidos = 0;
        this.fd_nrSalario = 0;
        this.fd_pcTreinamento = 0.0;
        this.fd_pcParticipacao = 0.0;
        this.fd_vlCompProgMPA = 0.0;
        this.fd_vlCompProgMPB = 0.0;
        this.fd_nrPzPgtoMP = 0;
        this.fd_pcNivelAtividade = 0.0;
        this.fd_pcProducaoExtra = 0.0;
        this.fd_pcProdutividade = 0.0;
        this.fd_nrCompMaqA = 0;
        this.fd_nrCompMaqB = 0;
        this.fd_nrCompMaqG = 0;
        this.fd_nrVendMaqA = 0;
        this.fd_nrVendMaqB = 0;
        this.fd_nrVendMaqG = 0;
        this.fd_vlEmprestimo = 0.0;
        this.fd_nrTpEmprestimo = 0;
        this.fd_vlAplicacao = 0.0;
        this.fd_pcJurosVdPz = 0.0;
        this.fd_vlDiversos = 0.0;
        this.fd_pcProducaoExtra = 0.0;
    }

    /**
     *
     * @param fd_id
     * @param fd_em_id
     * @param fd_nrAdmitidos
     * @param fd_nrDemitidos
     * @param fd_nrSalario
     * @param fd_pcTreinamento
     * @param fd_pcParticipacao
     * @param fd_vlCompProgMPA
     * @param fd_vlCompProgMPB
     * @param fd_nrPzPgtoMP
     * @param fd_pcNivelAtividade
     * @param fd_pcProducaoExtra
     * @param fd_pcProdutividade
     * @param fd_nrCompMaqA
     * @param fd_nrCompMaqB
     * @param fd_nrCompMaqG
     * @param fd_nrVendMaqA
     * @param fd_nrVendMaqB
     * @param fd_nrVendMaqG
     * @param fd_vlEmprestimo
     * @param fd_nrTpEmprestimo
     * @param fd_vlAplicacao
     * @param fd_pcJurosVdPz
     * @param fd_vlDiversos
     */
    public FolhaDecisoes(int fd_id, int fd_em_id, int fd_nrAdmitidos, int fd_nrDemitidos, int fd_nrSalario, double fd_pcTreinamento, double fd_pcParticipacao, double fd_vlCompProgMPA, double fd_vlCompProgMPB, int fd_nrPzPgtoMP, double fd_pcNivelAtividade, double fd_pcProducaoExtra, double fd_pcProdutividade, int fd_nrCompMaqA, int fd_nrCompMaqB, int fd_nrCompMaqG, int fd_nrVendMaqA, int fd_nrVendMaqB, int fd_nrVendMaqG, double fd_vlEmprestimo, int fd_nrTpEmprestimo, double fd_vlAplicacao, double fd_pcJurosVdPz, double fd_vlDiversos) {
        this.fd_id = fd_id;
        this.fd_em_id = fd_em_id;
        this.fd_nrAdmitidos = fd_nrAdmitidos;
        this.fd_nrDemitidos = fd_nrDemitidos;
        this.fd_nrSalario = fd_nrSalario;
        this.fd_pcTreinamento = fd_pcTreinamento;
        this.fd_pcParticipacao = fd_pcParticipacao;
        this.fd_vlCompProgMPA = fd_vlCompProgMPA;
        this.fd_vlCompProgMPB = fd_vlCompProgMPB;
        this.fd_nrPzPgtoMP = fd_nrPzPgtoMP;
        this.fd_pcNivelAtividade = fd_pcNivelAtividade;
        this.fd_pcProducaoExtra = fd_pcProducaoExtra;
        this.fd_pcProdutividade = fd_pcProdutividade;
        this.fd_nrCompMaqA = fd_nrCompMaqA;
        this.fd_nrCompMaqB = fd_nrCompMaqB;
        this.fd_nrCompMaqG = fd_nrCompMaqG;
        this.fd_nrVendMaqA = fd_nrVendMaqA;
        this.fd_nrVendMaqB = fd_nrVendMaqB;
        this.fd_nrVendMaqG = fd_nrVendMaqG;
        this.fd_vlEmprestimo = fd_vlEmprestimo;
        this.fd_nrTpEmprestimo = fd_nrTpEmprestimo;
        this.fd_vlAplicacao = fd_vlAplicacao;
        this.fd_pcJurosVdPz = fd_pcJurosVdPz;
        this.fd_vlDiversos = fd_vlDiversos;
        this.fd_pcProducaoExtra = 0.0;
        this.fd_nrPzPgtoMPC4 = "";
    }

    /**
     *
     * @param obj
     */
    public FolhaDecisoes(FolhaDecisoes obj) {
        this.fd_id = obj.getFd_id();
        this.fd_em_id = obj.getFd_em_id();
        this.fd_nrAdmitidos = obj.getFd_nrAdmitidos();
        this.fd_nrDemitidos = obj.getFd_nrDemitidos();
        this.fd_nrSalario = obj.getFd_nrSalario();
        this.fd_pcTreinamento = obj.getFd_pcTreinamento();
        this.fd_pcParticipacao = obj.getFd_pcParticipacao();
        this.fd_vlCompProgMPA = obj.getFd_vlCompProgMPA();
        this.fd_vlCompProgMPB = obj.getFd_vlCompProgMPB();
        this.fd_nrPzPgtoMP = obj.getFd_nrPzPgtoMP();
        this.fd_pcNivelAtividade = obj.getFd_pcNivelAtividade();
        this.fd_pcProducaoExtra = obj.getFd_pcProducaoExtra();
        this.fd_pcProdutividade = obj.getFd_pcProdutividade();
        this.fd_nrCompMaqA = obj.getFd_nrCompMaqA();
        this.fd_nrCompMaqB = obj.getFd_nrCompMaqB();
        this.fd_nrCompMaqG = obj.getFd_nrCompMaqG();
        this.fd_nrVendMaqA = obj.getFd_nrVendMaqA();
        this.fd_nrVendMaqB = obj.getFd_nrVendMaqB();
        this.fd_nrVendMaqG = obj.getFd_nrVendMaqG();
        this.fd_vlEmprestimo = obj.getFd_vlEmprestimo();
        this.fd_nrTpEmprestimo = obj.getFd_nrTpEmprestimo();
        this.fd_vlAplicacao = obj.getFd_vlAplicacao();
        this.fd_pcJurosVdPz = obj.getFd_pcJurosVdPz();
        this.fd_vlDiversos = obj.getFd_vlDiversos();
    }

    /**
     *
     * @return
     */
    public int getFd_em_id() {
        return fd_em_id;
    }

    /**
     *
     * @param fd_em_id
     */
    public void setFd_em_id(int fd_em_id) {
        this.fd_em_id = fd_em_id;
    }

    /**
     *
     * @return
     */
    public int getFd_id() {
        return fd_id;
    }

    /**
     *
     * @param fd_id
     */
    public void setFd_id(int fd_id) {
        this.fd_id = fd_id;
    }

    /**
     *
     * @return
     */
    public int getFd_nrAdmitidos() {
        return fd_nrAdmitidos;
    }

    /**
     *
     * @param fd_nrAdmitidos
     */
    public void setFd_nrAdmitidos(int fd_nrAdmitidos) {
        this.fd_nrAdmitidos = fd_nrAdmitidos;
    }

    /**
     *
     * @return
     */
    public int getFd_nrCompMaqA() {
        return fd_nrCompMaqA;
    }

    /**
     *
     * @param fd_nrCompMaqA
     */
    public void setFd_nrCompMaqA(int fd_nrCompMaqA) {
        this.fd_nrCompMaqA = fd_nrCompMaqA;
    }

    /**
     *
     * @return
     */
    public int getFd_nrCompMaqB() {
        return fd_nrCompMaqB;
    }

    /**
     *
     * @param fd_nrCompMaqB
     */
    public void setFd_nrCompMaqB(int fd_nrCompMaqB) {
        this.fd_nrCompMaqB = fd_nrCompMaqB;
    }

    /**
     *
     * @return
     */
    public int getFd_nrCompMaqG() {
        return fd_nrCompMaqG;
    }

    /**
     *
     * @param fd_nrCompMaqG
     */
    public void setFd_nrCompMaqG(int fd_nrCompMaqG) {
        this.fd_nrCompMaqG = fd_nrCompMaqG;
    }



    /**
     *
     * @return
     */
    public int getFd_nrDemitidos() {
        return fd_nrDemitidos;
    }

    /**
     *
     * @param fd_nrDemitidos
     */
    public void setFd_nrDemitidos(int fd_nrDemitidos) {
        this.fd_nrDemitidos = fd_nrDemitidos;
    }

    /**
     *
     * @return
     */
    public int getFd_nrPzPgtoMP() {
        return fd_nrPzPgtoMP;
    }

    /**
     *
     * @param fd_nrPzPgtoMP
     */
    public void setFd_nrPzPgtoMP(int fd_nrPzPgtoMP) {
        this.fd_nrPzPgtoMP = fd_nrPzPgtoMP;
    }

    /**
     *
     * @return
     */
    public String getFd_nrPzPgtoMPC4() {
        return fd_nrPzPgtoMPC4;
    }

    /**
     *
     * @param fd_nrPzPgtoMPC4
     */
    public void setFd_nrPzPgtoMPC4(String fd_nrPzPgtoMPC4) {
        this.fd_nrPzPgtoMPC4 = fd_nrPzPgtoMPC4;
    }

    /**
     *
     * @return
     */
    public double getFd_nrSalario() {
        return fd_nrSalario;
    }

    /**
     *
     * @param fd_nrSalario
     */
    public void setFd_nrSalario(double fd_nrSalario) {
        this.fd_nrSalario = fd_nrSalario;
    }

    /**
     *
     * @return
     */
    public int getFd_nrTpEmprestimo() {
        return fd_nrTpEmprestimo;
    }

    /**
     *
     * @param fd_nrTpEmprestimo
     */
    public void setFd_nrTpEmprestimo(int fd_nrTpEmprestimo) {
        this.fd_nrTpEmprestimo = fd_nrTpEmprestimo;
    }

    /**
     *
     * @return
     */
    public int getFd_nrVendMaqA() {
        return fd_nrVendMaqA;
    }

    /**
     *
     * @param fd_nrVendMaqA
     */
    public void setFd_nrVendMaqA(int fd_nrVendMaqA) {
        this.fd_nrVendMaqA = fd_nrVendMaqA;
    }

    /**
     *
     * @return
     */
    public int getFd_nrVendMaqB() {
        return fd_nrVendMaqB;
    }

    /**
     *
     * @param fd_nrVendMaqB
     */
    public void setFd_nrVendMaqB(int fd_nrVendMaqB) {
        this.fd_nrVendMaqB = fd_nrVendMaqB;
    }

    /**
     *
     * @return
     */
    public int getFd_nrVendMaqG() {
        return fd_nrVendMaqG;
    }

    /**
     *
     * @param fd_nrVendMaqG
     */
    public void setFd_nrVendMaqG(int fd_nrVendMaqG) {
        this.fd_nrVendMaqG = fd_nrVendMaqG;
    }

    /**
     *
     * @return
     */
    public double getFd_pcJurosVdPz() {
        return fd_pcJurosVdPz;
    }

    /**
     *
     * @param fd_pcJurosVdPz
     */
    public void setFd_pcJurosVdPz(double fd_pcJurosVdPz) {
        this.fd_pcJurosVdPz = fd_pcJurosVdPz;
    }

    /**
     *
     * @return
     */
    public double getFd_pcNivelAtividade() {
        return fd_pcNivelAtividade;
    }

    /**
     *
     * @param fd_pcNivelAtividade
     */
    public void setFd_pcNivelAtividade(double fd_pcNivelAtividade) {
        this.fd_pcNivelAtividade = fd_pcNivelAtividade;
    }

    /**
     *
     * @return
     */
    public double getFd_pcParticipacao() {
        return fd_pcParticipacao;
    }

    /**
     *
     * @param fd_pcParticipacao
     */
    public void setFd_pcParticipacao(double fd_pcParticipacao) {
        this.fd_pcParticipacao = fd_pcParticipacao;
    }

    /**
     *
     * @return
     */
    public double getFd_vlCompProgMPA() {
        return fd_vlCompProgMPA;
    }

    /**
     *
     * @param fd_vlCompProgMPA
     */
    public void setFd_vlCompProgMPA(double fd_vlCompProgMPA) {
        this.fd_vlCompProgMPA = fd_vlCompProgMPA;
    }

    /**
     *
     * @return
     */
    public double getFd_vlCompProgMPB() {
        return fd_vlCompProgMPB;
    }

    /**
     *
     * @param fd_vlCompProgMPB
     */
    public void setFd_vlCompProgMPB(double fd_vlCompProgMPB) {
        this.fd_vlCompProgMPB = fd_vlCompProgMPB;
    }




    /**
     *
     * @return
     */
    public double getFd_pcProducaoExtra() {
        return fd_pcProducaoExtra;
    }

    /**
     *
     * @param fd_pcProducaoExtra
     */
    public void setFd_pcProducaoExtra(double fd_pcProducaoExtra) {
        this.fd_pcProducaoExtra = fd_pcProducaoExtra;
    }

    /**
     *
     * @return
     */
    public double getFd_pcProdutividade() {
        return fd_pcProdutividade;
    }

    /**
     *
     * @param fd_pcProdutividade
     */
    public void setFd_pcProdutividade(double fd_pcProdutividade) {
        this.fd_pcProdutividade = fd_pcProdutividade;
    }

    /**
     *
     * @return
     */
    public double getFd_vlAplicacao() {
        return fd_vlAplicacao;
    }

    /**
     *
     * @param fd_vlAplicacao
     */
    public void setFd_vlAplicacao(double fd_vlAplicacao) {
        this.fd_vlAplicacao = fd_vlAplicacao;
    }

    /**
     *
     * @return
     */
    public double getFd_vlDiversos() {
        return fd_vlDiversos;
    }

    /**
     *
     * @param fd_vlDiversos
     */
    public void setFd_vlDiversos(double fd_vlDiversos) {
        this.fd_vlDiversos = fd_vlDiversos;
    }

    /**
     *
     * @return
     */
    public double getFd_vlEmprestimo() {
        return fd_vlEmprestimo;
    }

    /**
     *
     * @param fd_vlEmprestimo
     */
    public void setFd_vlEmprestimo(double fd_vlEmprestimo) {
        this.fd_vlEmprestimo = fd_vlEmprestimo;
    }

    /**
     *
     * @return
     */
    public String getMaq_Alfa() {
        return maq_Alfa;
    }

    /**
     *
     * @param maq_Alfa
     */
    public void setMaq_Alfa(String maq_Alfa) {
        this.maq_Alfa = maq_Alfa;
    }

    /**
     *
     * @return
     */
    public String getMaq_Beta() {
        return maq_Beta;
    }

    /**
     *
     * @param maq_Beta
     */
    public void setMaq_Beta(String maq_Beta) {
        this.maq_Beta = maq_Beta;
    }

    /**
     *
     * @return
     */
    public String getMaq_Coluna() {
        return maq_Coluna;
    }

    /**
     *
     * @param maq_Coluna
     */
    public void setMaq_Coluna(String maq_Coluna) {
        this.maq_Coluna = maq_Coluna;
    }

    /**
     *
     * @return
     */
    public String getMaq_Gama() {
        return maq_Gama;
    }

    /**
     *
     * @param maq_Gama
     */
    public void setMaq_Gama(String maq_Gama) {
        this.maq_Gama = maq_Gama;
    }

    /**
     *
     * @return
     */
    public double getFd_pcTreinamento() {
        return fd_pcTreinamento;
    }

    /**
     *
     * @param fd_pcTreinamento
     */
    public void setFd_pcTreinamento(double fd_pcTreinamento) {
        this.fd_pcTreinamento = fd_pcTreinamento;
    }

/*public static void main (String args[]) throws JogosDAOException{
    FolhaDecisoesDAO fdDAO = new FolhaDecisoesDAO();
    FolhaDecisoes fd = fdDAO.getFolhaFdObj(9);
    fdDAO = new FolhaDecisoesDAO();
    fdDAO.atualizar(fd);
}*/


}
