package entidades;

import dao.JogosDAOException;
import dao.ProdutividadeDAO;
import java.io.Serializable;

/**
 *
 * @author rafael
 */
public class Produtividade implements Serializable {

    private int pd_id;
    private int pd_em_id;
    private double pd_pcNivelAtividade;
    private double pd_pcHoraExtra;
    private double pd_pcIndProdutividade;

    // variáveis só de tela... (calculadas)
    private double pd_vlInicialProdAcab;
    private double pd_vlFinalPrevisto;
    private double pd_vlEstoqueProdDisp;
    private double pd_vlPrevVendas;
    private double pd_vlEstoqueFinal;


    /**
     *
     */
    public Produtividade() {
        this.pd_id = 0;
        this.pd_em_id = 0;
        this.pd_pcNivelAtividade = 0;
        this.pd_pcHoraExtra = 0;
        this.pd_pcIndProdutividade = 0;
        this.pd_vlInicialProdAcab=0;
        this.pd_vlFinalPrevisto=0;
        this.pd_vlEstoqueProdDisp=0;
        this.pd_vlPrevVendas=0;
        this.pd_vlEstoqueFinal=0;
    }

    /**
     *
     * @return
     */
    public double getPd_vlEstoqueFinal() {
        return pd_vlEstoqueFinal;
    }

    /**
     *
     * @param pd_vlEstoqueFinal
     */
    public void setPd_vlEstoqueFinal(double pd_vlEstoqueFinal) {
        this.pd_vlEstoqueFinal = pd_vlEstoqueFinal;
    }

    /**
     *
     * @return
     */
    public double getPd_vlEstoqueProdDisp() {
        return pd_vlEstoqueProdDisp;
    }

    /**
     *
     * @param pd_vlEstoqueProdDisp
     */
    public void setPd_vlEstoqueProdDisp(double pd_vlEstoqueProdDisp) {
        this.pd_vlEstoqueProdDisp = pd_vlEstoqueProdDisp;
    }

    /**
     *
     * @return
     */
    public double getPd_vlFinalPrevisto() {
        return pd_vlFinalPrevisto;
    }

    /**
     *
     * @param pd_vlFinalPrevisto
     */
    public void setPd_vlFinalPrevisto(double pd_vlFinalPrevisto) {
        this.pd_vlFinalPrevisto = pd_vlFinalPrevisto;
    }

    /**
     *
     * @return
     */
    public double getPd_vlInicialProdAcab() {
        return pd_vlInicialProdAcab;
    }

    /**
     *
     * @param pd_vlInicialProdAcab
     */
    public void setPd_vlInicialProdAcab(double pd_vlInicialProdAcab) {
        this.pd_vlInicialProdAcab = pd_vlInicialProdAcab;
    }

    /**
     *
     * @return
     */
    public double getPd_vlPrevVendas() {
        return pd_vlPrevVendas;
    }

    /**
     *
     * @param pd_vlPrevVendas
     */
    public void setPd_vlPrevVendas(double pd_vlPrevVendas) {
        this.pd_vlPrevVendas = pd_vlPrevVendas;
    }

    /**
     *
     * @return
     */
    public int getPd_em_id() {
        return pd_em_id;
    }

    /**
     *
     * @param pd_em_id
     */
    public void setPd_em_id(int pd_em_id) {
        this.pd_em_id = pd_em_id;
    }

    /**
     *
     * @return
     */
    public int getPd_id() {
        return pd_id;
    }

    /**
     *
     * @param pd_id
     */
    public void setPd_id(int pd_id) {
        this.pd_id = pd_id;
    }

    /**
     *
     * @return
     */
    public double getPd_pcHoraExtra() {
        return pd_pcHoraExtra;
    }

    /**
     *
     * @param pd_pcHoraExtra
     */
    public void setPd_pcHoraExtra(double pd_pcHoraExtra) {
        this.pd_pcHoraExtra = pd_pcHoraExtra;
    }

    /**
     *
     * @return
     */
    public double getPd_pcIndProdutividade() {
        return pd_pcIndProdutividade;
    }

    /**
     *
     * @param pd_pcIndProdutividade
     */
    public void setPd_pcIndProdutividade(double pd_pcIndProdutividade) {
        this.pd_pcIndProdutividade = pd_pcIndProdutividade;
    }

    /**
     *
     * @return
     */
    public double getPd_pcNivelAtividade() {
        return pd_pcNivelAtividade;
    }

    /**
     *
     * @param pd_pcNivelAtividade
     */
    public void setPd_pcNivelAtividade(double pd_pcNivelAtividade) {
        this.pd_pcNivelAtividade = pd_pcNivelAtividade;
    }

    /**
     *
     * @return
     * @throws JogosDAOException
     */
    public double producaoInicial() throws JogosDAOException{
        double vlProducaoInicial = 0.0;
        CapacidadeProducao cp = new CapacidadeProducao();
        vlProducaoInicial = cp.capacidade(this.pd_em_id, "Alfa") + cp.capacidade(this.pd_em_id, "Beta") + cp.capacidade(this.pd_em_id, "Gama");
        return vlProducaoInicial;
    }

    /**
     *
     * @return
     * @throws JogosDAOException
     */
    public double producaoFinal() throws JogosDAOException{
        double vlProducaoFinal = 0.0;
        vlProducaoFinal = this.pd_pcNivelAtividade * this.pd_pcHoraExtra * this.pd_pcIndProdutividade * this.producaoInicial();
        return vlProducaoFinal;
    }
/*    public static void main (String args[]) throws JogosDAOException{
        ProdutividadeDAO pDAO = new ProdutividadeDAO();
        Produtividade p = pDAO.getById(9);
        pDAO = new ProdutividadeDAO();
        pDAO.atualizar(p);
    }*/
}
