/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package entidades;

/**
 *
 * @author Doglei
 */
public class Turma implements java.io.Serializable {

    private int tu_id;
    private String tu_noTurma;
    private String tu_noApelido;
    private int tu_nrAno;
    private int tu_co_id;
    private int tu_nrSemestre;
    private boolean tu_fgAtiva;

    /**
     *
     * @param tu_id
     * @param tu_noTurma
     * @param tu_noApelido
     * @param tu_nrAno
     * @param tu_co_id
     * @param tu_nrSemestre
     * @param tu_fgAtiva
     */
    public Turma(int tu_id, String tu_noTurma, String tu_noApelido, int tu_nrAno, int tu_co_id, int tu_nrSemestre, boolean tu_fgAtiva) {
        this.tu_id = tu_id;
        this.tu_noTurma = tu_noTurma;
        this.tu_noApelido = tu_noApelido;
        this.tu_nrAno = tu_nrAno;
        this.tu_co_id = tu_co_id;
        this.tu_nrSemestre = tu_nrSemestre;
        this.tu_fgAtiva = tu_fgAtiva;
    }
    /**
     *
     */
    public Turma() {
        this.tu_id = 0;
        this.tu_noTurma = "";
        this.tu_noApelido = "";
        this.tu_nrAno = 0;
        this.tu_co_id = 0;
        this.tu_nrSemestre = 0;
        this.tu_fgAtiva = false;
    }

    /**
     *
     * @return
     */
    public int getTu_co_id() {
        return tu_co_id;
    }

    /**
     *
     * @param tu_co_id
     */
    public void setTu_co_id(int tu_co_id) {
        this.tu_co_id = tu_co_id;
    }


    /**
     *
     * @return
     */
    public boolean getTu_fgAtiva() {
        return tu_fgAtiva;
    }

    /**
     *
     * @param tu_fgAtiva
     */
    public void setTu_fgAtiva(boolean tu_fgAtiva) {
        this.tu_fgAtiva = tu_fgAtiva;
    }

    /**
     *
     * @return
     */
    public int getTu_id() {
        return tu_id;
    }

    /**
     *
     * @param tu_id
     */
    public void setTu_id(int tu_id) {
        this.tu_id = tu_id;
    }

    /**
     *
     * @return
     */
    public String getTu_noTurma() {
        return tu_noTurma;
    }

    /**
     *
     * @param tu_noTurma
     */
    public void setTu_noTurma(String tu_noTurma) {
        this.tu_noTurma = tu_noTurma;
    }

    /**
     *
     * @return
     */
    public String getTu_noApelido() {
        return tu_noApelido;
    }

    /**
     *
     * @param tu_noApelido
     */
    public void setTu_noApelido(String tu_noApelido) {
        this.tu_noApelido = tu_noApelido;
    }

    /**
     *
     * @return
     */
    public int getTu_nrAno() {
        return tu_nrAno;
    }

    /**
     *
     * @param tu_nrAno
     */
    public void setTu_nrAno(int tu_nrAno) {
        this.tu_nrAno = tu_nrAno;
    }

    /**
     *
     * @return
     */
    public int getTu_nrSemestre() {
        return tu_nrSemestre;
    }

    /**
     *
     * @param tu_nrSemestre
     */
    public void setTu_nrSemestre(int tu_nrSemestre) {
        this.tu_nrSemestre = tu_nrSemestre;
    }

    @Override
    public boolean equals(Object obj) {
        if (obj == null) {
            return false;
        }
        if (getClass() != obj.getClass()) {
            return false;
        }
        final Turma other = (Turma) obj;
        if (this.tu_id != other.tu_id) {
            return false;
        }
        if ((this.tu_noTurma == null) ? (other.tu_noTurma != null) : !this.tu_noTurma.equals(other.tu_noTurma)) {
            return false;
        }
        if ((this.tu_noApelido == null) ? (other.tu_noApelido != null) : !this.tu_noApelido.equals(other.tu_noApelido)) {
            return false;
        }
        if (this.tu_nrAno != other.tu_nrAno) {
            return false;
        }
        if (this.tu_nrSemestre != other.tu_nrSemestre) {
            return false;
        }
        if (this.tu_fgAtiva != other.tu_fgAtiva) {
            return false;
        }
        return true;
    }

    @Override
    public int hashCode() {
        int hash = 7;
        hash = 67 * hash + this.tu_id;
        hash = 67 * hash + (this.tu_noTurma != null ? this.tu_noTurma.hashCode() : 0);
        hash = 67 * hash + (this.tu_noApelido != null ? this.tu_noApelido.hashCode() : 0);
        hash = 67 * hash + this.tu_nrAno;
        hash = 67 * hash + this.tu_nrSemestre;
       // hash = 67 * hash + this.tu_fgAtiva ? 1 : 0;
        return hash;
    }

    @Override
    public String toString() {
        return "Turma{" + "tu_id=" + tu_id + "tu_noTurma=" + tu_noTurma + "tu_noApelido=" + tu_noApelido + "tu_nrAno=" + tu_nrAno + "tu_nrSemestre=" + tu_nrSemestre + "tu_fgAtiva=" + tu_fgAtiva + '}';
    }

    
    
}
