<%@include file="cabecalho.jsp" %>
<f:view>
    <h:form id="cadturma">
        <h:panelGrid columns="3">
            <f:facet name="header">
                <h:outputText value="Cadastro de Turmas" />
            </f:facet>
            <h:outputLabel value="Turma:"/>
            <h:inputText size="30" id="tu_noTurma" value="#{turmaView}" required="true" />
            <h:message for="tu_noTurma" />

            <h:outputLabel value="Semestre:"/>
            <h:inputText size="5" id="tu_nrSemestre" value="#{turmaView.turma.tu_nrSemestre}"
                         validator="#{turmaView.validaSemestre}" maxlength="1">
                <f:convertNumber integerOnly="true" />
            </h:inputText>
            <h:message for="tu_nrSemestre" />

            <h:outputLabel value="Ano:"/>
            <h:inputText id="tu_nrAno" value="#{turmaView.turma.tu_nrAno}">
                <f:convertNumber integerOnly="true" />
            </h:inputText>
            <h:message for="tu_nrAno" />

            <h:outputLabel value="Ativa:"/>
            <h:selectBooleanCheckbox id="tu_fgAtiva" value="#{turmaView.turma.tu_fgAtiva}" />
            <h:message for="tu_fgAtiva" />
        </h:panelGrid>

        <h:commandButton value="Cadastrar" action="#{turmaView.create}" />
        <h:commandButton value="Limpar" type="reset" />
        <h:commandButton value="Cancelar" action="mostrarTurma" />
    </h:form>
</f:view>
<%@include file="rodape.jsp" %>
