/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package dao;

import entidades.CustoVariavel;
import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;
import util.ConexaoFactory;

/**
 *
 * @author Doglei
 */
public class CustoVariavelDAO{

    private Connection conn;

    /**
     *
     * @throws JogosDAOException
     */
    public CustoVariavelDAO() throws JogosDAOException {
        try {
            this.conn = ConexaoFactory.getConnection();
        } catch (Exception e) {
            throw new JogosDAOException("Erro: " + ": \n" + e.getMessage());
        }
    }


    /**
     *
     * @param em_id
     * @return
     * @throws JogosDAOException
     */
    public double manutencaoMaquinas(int em_id) throws JogosDAOException{
        double manutencaoMaquinas = 0.0;
        PreparedStatement ps = null;
        Connection conne = null;
        ResultSet rs = null;
        try {
            conne = this.conn;
            String sql = "select sum(mq_vlContabil * tm_pcCustoManut * mq_nrIdade) as manutencaoMaquina from maquina_periodo, tipomaquina where mq_tm_id = tm_id and mq_em_id= " + em_id;
            ps = conne.prepareStatement(sql);
            rs = ps.executeQuery();
            if (rs.next()) {
                manutencaoMaquinas = rs.getDouble(1);
            }
            return manutencaoMaquinas;
        } catch (SQLException sqle) {
            throw new JogosDAOException("Erro ao inserir dados " + sqle);
        } finally {
            ConexaoFactory.closeConnection(conne, ps);
        }
    }
    
}
