/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package entidades;

import dao.EmpresaPeriodoDAO;
import dao.JogosDAOException;
import dao.PeriodoDAO;


public class EmpresaPeriodo implements java.io.Serializable {
    private int em_id;
    private int em_e_id;
    private int em_pe_id;
    private int em_tu_id;
    private String em_nome;
    private int em_nrPeriodo;
    private int em_nrEmpresa;
    private String em_noStatus;

    public EmpresaPeriodo(int em_id, int em_pe_id, int em_e_id, String em_nome, String em_noStatus) {
        this.em_id = em_id;
        this.em_e_id = em_e_id;
        this.em_pe_id = em_pe_id;
        this.em_nome = em_nome;
        this.em_noStatus = em_noStatus;
    }
    public EmpresaPeriodo() {
        this.em_id = 0;
        this.em_e_id = 0;
        this.em_tu_id = 0;
        this.em_pe_id = 0;
        this.em_nome = "";
        this.em_nrEmpresa = 0;
        this.em_nrPeriodo = 0;
        this.em_noStatus = "";
    }

    public int getEm_tu_id() {
        return em_tu_id;
    }

    public void setEm_tu_id(int em_tu_id) {
        this.em_tu_id = em_tu_id;
    }


    public String getEm_noStatus() {
        return em_noStatus;
    }

    public void setEm_noStatus(String em_noStatus) {
        this.em_noStatus = em_noStatus;
    }

    /**
     *
     * @param e
     */
    public EmpresaPeriodo(EmpresaPeriodo e){
        this.em_id = e.getEm_id();
        this.em_pe_id = e.getEm_pe_id();
        this.em_nome = e.getEm_nome();
        this.em_e_id = e.getEm_e_id();
        this.em_tu_id = e.getEm_tu_id();
        this.em_nrPeriodo = e.getEm_nrPeriodo();
        this.em_nrEmpresa = e.getEm_nrEmpresa();
        this.em_noStatus = e.getEm_noStatus();
    }

    public String getEm_nome() {
        return em_nome;
    }

    /**
     *
     * @param em_nome
     */
    public void setEm_nome(String em_nome) {
        this.em_nome = em_nome;
    }


    /**
     *
     * @return
     */
    public int getEm_e_id() {
        return em_e_id;
    }

    /**
     *
     * @param em_e_id
     */
    public void setEm_e_id(int em_e_id) {
        this.em_e_id = em_e_id;
    }

    /**
     *
     * @return
     */
    public int getEm_id() {
        return em_id;
    }

    /**
     *
     * @param em_id
     */
    public void setEm_id(int em_id) {
        this.em_id = em_id;
    }

    /**
     *
     * @return
     */
    public int getEm_pe_id() {
        return em_pe_id;
    }


    public void setEm_pe_id(int em_pe_id) {
        this.em_pe_id = em_pe_id;
    }

    public int getEm_nrEmpresa() {
        return em_nrEmpresa;
    }

    public void setEm_nrEmpresa(int em_nrEmpresa) {
        this.em_nrEmpresa = em_nrEmpresa;
    }

    public int getEm_nrPeriodo() {
        return em_nrPeriodo;
    }

    public void setEm_nrPeriodo(int em_nrPeriodo) {
        this.em_nrPeriodo = em_nrPeriodo;
    }




    public int empresaPeriodoAnterior() throws JogosDAOException{
        int empresaPeriodoAnterior = -1;
        int nrPeriodo = 0;
        String noEmpresa = "";
        EmpresaPeriodoDAO emDAO = new EmpresaPeriodoDAO();
        EmpresaPeriodo em = emDAO.empresaById(this.em_id);
        noEmpresa = em.getEm_nome();
        PeriodoDAO peDAO = new PeriodoDAO();
        Periodo pe = peDAO.periodoById(em.getEm_pe_id());
        if(pe.getPe_noPeriodo().compareTo("0") != 0){
            nrPeriodo = Integer.parseInt(pe.getPe_noPeriodo()) - 1;
            peDAO = new PeriodoDAO();
            pe = peDAO.periodoByNo(String.valueOf(nrPeriodo), pe.getPe_tu_id());
            emDAO = new EmpresaPeriodoDAO();
            em = emDAO.empresaPeriodoAnterior(pe.getPe_id(), noEmpresa);
            empresaPeriodoAnterior = em.getEm_id();
        }
        return empresaPeriodoAnterior;
    }

   

}
