package entidades;

import dao.JogosDAOException;
import dao.RegiaoDAO;
import java.util.Iterator;



/**
 *
 * @author rafael
 */
public class Receita {
    /**
     *
     * @param em_id
     * @return
     * @throws JogosDAOException
     */
    public double totalVendas(int em_id) throws JogosDAOException{
        double vlTotalVendas = 0.0;
        RegiaoDAO reDAO = new RegiaoDAO();
        Iterator i = reDAO.listaByEM(em_id).iterator();
        while(i.hasNext()){
            Regiao re = (Regiao)i.next();
            vlTotalVendas = vlTotalVendas + re.getRe_qtVendida();
        }
        return vlTotalVendas;
    }

/*    public static void main (String args[]) throws JogosDAOException{
        Receita re = new Receita();
        System.out.println(re.totalVendas(114));
    }*/

}
