
<%@include file="cabecalho.jsp" %>

<div>
    <f:view>
        <%@include file="menu.jsp" %>
        <h:form>
            <h:inputHidden value="#{fornecedorView.inicioParamVariavel}" />
            <h:dataTable value="#{fornecedorView.materiaPrima}" var="item" >
                <f:facet name="header">
                    <h:outputText value="Parmetros de matria prima" />
                </f:facet>

                <h:column>
                    <f:facet name="header">
                        <h:outputText value="Tipo"/>
                    </f:facet>
                    <h:outputText id="mp_noTipo" value="#{item.mp_noTipo}"/>
                </h:column>

                <h:column>
                    <f:facet name="header">
                        <h:outputText value="Valor"/>
                    </f:facet>
                    <h:outputText id="mp_vlPreco" value="#{item.mp_vlPreco}"/>
                </h:column>

                <h:column>
                    <f:facet name="header">
                        <h:outputText value="Alterar"/>
                    </f:facet>
                    <h:commandLink action="#{fornecedorView.editar}" value="Alterar" />
                </h:column>
            </h:dataTable>
            <br/>
            <br/>
            <h:panelGrid columns="2">
                <f:facet name="header">
                    <h:outputText value="Alterar matria prima" />
                </f:facet>
                <h:outputLabel value="Tipo"/>
                <h:inputText size="5" id="mp_noTipo" value="#{fornecedorView.mp.mp_noTipo}" required="true" />

                <h:outputLabel value="Valor"/>
                <h:inputText size="5" id="mp_vlInicial" value="#{fornecedorView.mp.mp_vlPreco}" required="true" />

            </h:panelGrid>
        </h:form>
        <br/>
        <br/>
        <h:form>
            <h:dataTable value="#{fornecedorView.maquinas}" var="item"
                         cellpadding="3" cellspacing="3">
                <f:facet name="header">
                    <h:outputText value="Parmetros de maquinrio" />
                </f:facet>

                <h:column>
                    <f:facet name="header">
                        <h:outputText value="Tipo"/>
                    </f:facet>
                    <h:outputText id="tm_noTipo" value="#{item.tm_noTipo}"/>
                </h:column>

                <h:column>
                    <f:facet name="header">
                        <h:outputText value="Valor"/>
                    </f:facet>
                    <h:outputText id="tm_vlInicial" value="#{item.tm_vlInicial}"/>
                </h:column>

                <h:column>
                    <f:facet name="header">
                        <h:outputText value="Alterar"/>
                    </f:facet>
                    <h:commandLink action="#{fornecedorView.editar}" value="Alterar" />
                </h:column>
            </h:dataTable>
            <br/>
            <br/>
            <h:panelGrid columns="2">
                <f:facet name="header">
                    <h:outputText value="Alterar mquinas" />
                </f:facet>
                <h:outputLabel value="Tipo"/>
                <h:inputText size="5" id="mq_noTipo" value="#{fornecedorView.mq.tm_noTipo}" required="true" />

                <h:outputLabel value="Valor"/>
                <h:inputText size="5" id="mp_vlInicial" value="#{fornecedorView.mq.tm_vlInicial}" required="true" />

            </h:panelGrid>
        </h:form>
        <br/>
        <br/>
        <br/>
        <h:form id="cadparamVariavel">
            <h:panelGrid columns="3" styleClass="tbl-class">
                <f:facet name="header">
                    <h:outputText value="Fornecedor" />
                </f:facet>
                <h:outputLabel value="Periodo:"/>
                <h:inputText size="5" id="pv_pe_id" value="#{fornecedorView.paramVariavel.pv_pe_id}" required="true" />
                <h:message for="pv_pe_id" />

                <h:outputLabel value="DistExt:"/>
                <h:inputText size="5" id="pv_vlDistExt" value="#{fornecedorView.paramVariavel.pv_vlDistExt}" required="true" />
                <h:message for="pv_vlDistExt" />

                <h:outputLabel value="DistLoc:"/>
                <h:inputText size="5" id="pv_vlDistLoc" value="#{fornecedorView.paramVariavel.pv_vlDistLoc}" required="true" />
                <h:message for="pv_vlDistLoc" />

                <h:outputLabel value="Propag:"/>
                <h:inputText size="5" id="pv_vlPropag" value="#{fornecedorView.paramVariavel.pv_vlPropag}" required="true" />
                <h:message for="pv_vlPropag" />

                <h:outputLabel value="Juros:"/>
                <h:inputText size="5" id="pv_pcJuros" value="#{fornecedorView.paramVariavel.pv_pcJuros}" required="true" />
                <h:message for="pv_pcJuros" />

                <h:outputLabel value="TR:"/>
                <h:inputText size="5" id="pv_pcTR" value="#{fornecedorView.paramVariavel.pv_pcTR}" required="true" />
                <h:message for="pv_pcTR" />

                <h:outputLabel value="Variao venda mquina:"/>
                <h:inputText size="5" id="pf_pcVarMaquinas" value="#{fornecedorView.paramFixo.pf_pcVarMaquinas}" required="true" />
                <h:message for="pf_pcVarMaquinas" />

            </h:panelGrid>

            <h:commandButton value="Salvar" action="#{fornecedorView.create}" />
            <h:commandButton value="Novo" action="#{fornecedorView.novoParamVariavel}" />
        </h:form>



    </f:view>
</div>
<%@include file="rodape.jsp" %>
